Schedule Account Closure

Use this API to schedule the closure of an active savings account. The closure is not immediate — the account enters a waiting period before it is permanently closed.

Prerequisites

  • The account must be in Active status.
  • Pass the accountId as a path parameter and command=SCHEDULECLOSE as a required query parameter.

Example Request

POST /v1/savingsaccounts/{accountId}?command=SCHEDULECLOSE

Closure Timeline

  • Upon scheduling, the account is immediately blocked and no transactions can be made.
  • The account is closed on the day after the waiting period ends.
  • The waiting period defaults to 30 days but can be configured by Mbanq.

Closure Options

The request body allows you to control the following behaviour at the time of closure:

  • withdrawBalance — whether the remaining balance should be automatically withdrawn.
  • postInterestValidationOnClosure — whether interest should be validated before the account is closed.
  • paymentTypeId — the payment method to use if withdrawing the balance.
  • closeReasonCodeId — the reason for closure. Use the Get Code Values API with code name ACCOUNT_CLOSE_REASON to retrieve valid reason IDs.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The unique identifier of the account to be scheduled for closure.
Example: 123

Query Params
string
required
Defaults to SCHEDULECLOSE

The action to be performed on the account.

Body Params
boolean

A flag indicating whether the balance should be withdrawn upon closure.
Example: true

boolean

A flag indicating whether to validate the interest after account closure.
Example: true

integer

The ID of the payment type associated with the account closure.
Example: 1

integer
Defaults to 5100

The ID representing the reason for account closure.
To retrieve valid code IDs, please use the API Get Code Value with code name ACCOUNT_CLOSE_REASON, which returns all
list of available close reasons associated with the code name ACCOUNT_CLOSE_REASON.
Example: 5100

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json